.contact-section {
    height: 800px;
    width: 100%;
    position: relative;
}

.contact-section h2{
    text-align: center;
    font-size: 3em;
    color: yellow;
    margin-top: 100px;
    margin-bottom: 40px;
}

.contact-section h3 {
    text-align: center;
    color: yellow;
}

.contact-wrapper {
    display: flex;
    justify-content: space-around;
}

.contact-section h4 {
    text-align: center;
    color: yellow;
    margin-bottom: 40px;
}

.information-location h5 {
    text-align: center;
    color: yellow;
}

.contact-section h2 {
    text-align: center;
}

.contact-map {
    width: 33%;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 1em;
    margin-bottom: 1em;
}

.dotted-map {
    height: 400px;
    width: auto;
}

.dotted-location {
    position: absolute;
    left: 49%;
    top: 65%;
    height: 25px;
    width: 25px;
    border-radius: 50%;
    background: linear-gradient(135deg, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0));
    backdrop-filter: blur(3px);
    -webkit-backdrop-filter: blur(3px);
    border-radius: 20px;
    border: 1px solid rgba(255, 255, 255, 0.18);
    box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.37);
    transform: scale(1);
    animation: pulse-black 2s infinite;
}

.information-location {
    position: absolute;
    left: 59%;
    top: 53%;
    height: 120px;
    width: 151px;
    background-color: #111;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    z-index: 0;
}

.information-location::after {
    content: "";
    position: absolute;
    left: -7px;
    bottom: 44px;
    width: 25px;
    height: 25px;
    background: #111;
    transform: rotate(45deg);
    z-index: -1;
}

.information-location h4 {
    color: yellow;
}

.information-location span {
    color: yellow;
}

.contact-form {
    width: 33%;
    height: 470px;
    background: linear-gradient(135deg, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0));
    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px);
    border-radius: 20px;
    border: 1px solid yellow;
    box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.37);
    margin-top: 1em;
    margin-bottom: 1em;
}

.contact-section-extra {
    flex-direction: column;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: black;
    width: 33%;
    text-align: left;
    position: relative;
    margin-top: 1em;
    margin-bottom: 1em;
}

.contact-section-extra h3{
    text-decoration: underline;
}

.contact-section-icons {
    width: 100%;
    display: flex;
    justify-content: space-around;
}

.contact-section-icons-information {
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    width: 100%;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

.contact-section-icon-top {
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

.contact-section-icons h6{
    color: yellow;
    font-size: 12px;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

.contact-section-icons-information:hover h6{
    display: none
}
  
.contact-section-icons-information:hover:after {
    font-size: 12px;
    content: "Click to copy username";
    color: yellow;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}
  
.contact-section-icons-information:active:after {
    font-size: 12px;
    content: "Copied!";
    color: yellow;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}
  
.contact-section-extra svg {
    color: yellow;
}

.contact-section-extra h2 {
    color: yellow;
}

.contact-section-extra p {
    font: 24px;
    margin-left: 1em;
    margin-right: 1em;
    color: yellow;
}

.contact-section form button {
    font: 1.25em sans-serif;
    border-radius: 0.25em;
    cursor: pointer;
    padding: 0.75em 1.25em;
}

.contact-section-concatenate {
    width: 100%;
    position: relative;
    transform: translate(2%, 6%);
}

.contact-names-input {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.contact-names-input input {
    width: 83%;
    height: 55px;
    padding-left: 15px;
    border-radius: 15px;
    background-color: #111;
    color: yellow;
}

.contact-names-input select{
    width: 91%;
    height: 58px;
    padding-left: 15px;
    border-radius: 15px;
    background-color: #111;
    color: yellow;
    border: 0.125em solid yellow; 
    outline: none;
}

.contact-names-input label{
    color: yellow;
    margin-left: 15px;
    margin-top: 0.2em;
    margin-bottom: 0.2em;
}

.contact-section-names {
    display: flex;
    justify-content:space-around;
}

.contact-section-message {
    display: grid;
    justify-content:space-around;
}

.contact-section input {
    border: 0.125em solid yellow; 
    outline: none;
}

.contact-section input:valid{
    border-color: rgb(160, 200, 80);
}

.contact-section textarea {
    min-height: 120px;
    max-height: 210px;
    width: 88%;
    padding: 15px;
    border-radius: 15px;
    justify-content: center;
    resize: vertical;
    background-color: #111;
    border: 0.125em solid yellow; 
    color: yellow;
    outline: none;
}

.contact-section-submit {
    height: 60px;
    width: 160px;
    border-radius: 15px;
    background-color: yellow;
    margin-top: 1em;
}

.cross div {
    background: yellow; 
    height: 94px; 
    position: absolute; 
    left: 50px;
    width: 1px; 
}

.cross div:after {
    background: yellow; 
    content: ""; 
    height: 1px; 
    left: -48px; 
    position: absolute; 
    top: 45px; 
    width: 94px; 
}

.cross div:nth-child(1) {
    top: 50%;
    left: 10%;
    animation: crossTwister 6s linear infinite;
}
.cross div:nth-child(2) {
    top: 30%;
    left: 55%;
    animation: crossTwister 10s linear infinite;
}
.cross div:nth-child(3) {
    top: 0%;
    left: 70%;
    animation: crossTwister 7s linear infinite;
}
.cross div:nth-child(4) {
    top: 0%;
    left: 33%;
    animation: crossTwister 6s linear infinite;
}
.cross div:nth-child(5) {
    top: 60%;
    left: 35%;
    animation: crossTwister 10s linear infinite;
}
.cross div:nth-child(6) {
    top: 40%;
    left: 80%;
    animation: crossTwister 7s linear infinite;
}

@keyframes crossTwister {
    0%{
        transform: scale(0) translateY(0) rotate(0);
        opacity: 1;
    }
    100%{
        transform: scale(1.3) translateY(90px) rotate(360deg);
        opacity: 0;
    }
}

@keyframes crossTwisterNegative {
    0%{
        transform: scale(0) translateY(0) rotate(0);
        opacity: 1;
    }
    100%{
        transform: scale(1.3) translateY(140px) rotate(-360deg);
        opacity: 0;
    }
}

@keyframes pulse-black {
    0% {
      box-shadow: 0 0 0 0 rgba(0, 0, 0, 2);
    }
    
    70% {
      box-shadow: 0 0 0 30px rgba(0, 0, 0, 0);
    }
    
    100% {
      box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
    }
}

@media only screen and (max-width: 1200px){
    .contact-section {
        height: 1600px;
    }

    .contact-wrapper {
        display:flex;
        flex-direction: column;
        justify-content: space-around;
        align-items: center;
    }    

    .contact-section-extra {
        width: 50%;
    }
    
    .contact-section form {
        width: 50%;
    }
}

@media only screen and (max-width: 829px){
    .contact-names-input select {
        width: 92%;
    }
    .contact-section textarea {
        width: 86%;
    }
}

@media only screen and (min-width: 830px){
    .contact-names-input select {
        width: 89%;
    }
    .contact-section textarea {
        width: 85%;
    }
}

@media only screen and (min-width: 1200px){
    .contact-names-input select {
        width: 91%;
    }
    .contact-section textarea {
        width: 88%;
    }
}

@media only screen and (max-width: 1200px){
    .contact-names-input select {
        width: 89%;
    }
    .contact-section textarea {
        width: 88%;
    }
}

@media only screen and (max-width: 1400px){
    .contact-names-input select {
        width: 90%;
    }
    .contact-section textarea {
        width: 88%;
    }
}

@media only screen and (min-width: 1800px){
    .contact-names-input select {
        width: 88%;
    }
    .contact-section textarea {
        width: 89%;
    }
}

@media only screen and (min-width: 2800px){
    .contact-names-input select {
        width: 87%;
    }
    .contact-section textarea {
        width: 90%;
    }
}